PMATCH(9) | Kernel Developer's Manual | PMATCH(9)

# NAME

`pmatch` —
performs pattern matching on strings

# SYNOPSIS

`#include <sys/systm.h>`

int
`pmatch`(const char *string, const char *pattern, const char **estr);

# DESCRIPTION

Extract substring matching pattern from string. If not `NULL`, estr points to the end of the longest exact or substring match.

`pmatch`() uses the following metacharacters:

`?`
  match any single character.
`*`
  match any character 0 or more times.
`[`
  define a range of characters that will match. The range is defined by 2 characters separated by a ‘`-`’. The range definition has to end with a ‘`]`’. A ‘`^`’ following the ‘`[`’ will negate the range.

# RETURN VALUES

`pmatch`() will return 2 for an exact match, 1 for a substring match, 0 for no match and -1 if an error occurs.

October 12, 2003 | NetBSD 9.2